From cbf719c9dbf832a99db0e880d965085dddf5ed78 Mon Sep 17 00:00:00 2001
From: Mitch Curtis <mitch.curtis@qt.io>
Date: Thu, 12 Nov 2020 12:04:23 +0100
Subject: [PATCH 085/262] Doc: explain how to create a test touch device for
 use with touchEvent

Change-Id: Ib60eb0754449da7c50f8632ebd5228ddbe8389f1
Reviewed-by: Volker Hilsheimer <volker.hilsheimer@qt.io>
(cherry picked from commit 5861e06568c44c58aecacdf26fd7938240348956)
Reviewed-by: Qt Cherry-pick Bot <cherrypick_bot@qt-project.org>
---
 src/testlib/qtestcase.qdoc | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/src/testlib/qtestcase.qdoc b/src/testlib/qtestcase.qdoc
index 72f8cdaf8c..e39b47024f 100644
--- a/src/testlib/qtestcase.qdoc
+++ b/src/testlib/qtestcase.qdoc
@@ -1258,7 +1258,7 @@
     should typically use createTouchDevice() to initialize a QTouchDevice
     member variable in your test case class, and use the same instance for all tests.
 
-    \sa QTest::QTouchEventSequence
+    \sa QTest::QTouchEventSequence, touchEvent()
 */
 
 /*!
@@ -1394,6 +1394,9 @@
     QTouchEventSequence is called (ie when the object returned runs out of scope), unless
     \a autoCommit is set to false. When \a autoCommit is false, commit() has to be called
     manually.
+
+    \l createTouchDevice() can be called to create a test touch device for use with this
+    function.
 */
 
 /*!
@@ -1410,6 +1413,9 @@
     QTouchEventSequence is called (ie when the object returned runs out of scope), unless
     \a autoCommit is set to false. When \a autoCommit is false, commit() has to be called
     manually.
+
+    \l createTouchDevice() can be called to create a test touch device for use with this
+    function.
 */
 
 // Internals of qtestmouse.h:
-- 
2.33.0

